Subject: [Sipping] comments on :draft-ietf-sipping-qsig2sip-04.txt

From: Cullen Jennings <[email-masked]>
Date: Tue, 17 Feb 2004 07:59:46 -0800

One major concern, Section 9.1.3 and 9.2.3 - PAI won't work for this as
described in draft-jennings-sipping-connected-00. I highly recommend we talk
about this on a phone call or in Korea and get it sorted out. Suggesting a
solution here will just make solving this problem more complex. Even if you
think that it does work, it is definitely a new semantic meaning of PAI that
is not covered in any the current documents. This would require the qsig2sip
document to be dealt with in the sip WG instead of sipping it it is going to
extend the meaning of PAI. It is recognized that SIP is lacking in this
area, there have been multiple drafts proposing solutions (including the
work in draft-elwell-sip-state-update). I think it would be better to get
one of theses solutions moving and just use it here.

Few minor things:

If the GW signs a sipfrag, what should be in the SubjectAltName of the
certificate?

Section 9.1 (and other places) The terminology "the gw trusts the next hop"
is wrong and should be something more like "the GW is in the same trust
domain (as defined in RFC 3325) as the next hop"

Section 9.2.2 If the From is Anonymous, and there is no privacy value, then
it should be treated as if there was a privacy value of id.

NIT:

I find reference style of "as described in [10]" much harder to read than "
as described in RFC 3261 [10]"

Cullen

On 1/20/04 7:05 AM, "[email-masked]" <[email-masked]>
wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Session Initiation Proposal Investigation
> Working Group of the IETF.
> 
> Title        : Interworking between SIP and QSIG
> Author(s)    : J. Elwell
> Filename    : draft-ietf-sipping-qsig2sip-04.txt
> Pages        : 61
> Date        : 2004-1-19
> 
> This document specifies interworking between the Session Initiation
>  Protocol (SIP) and QSIG within corporate telecommunication networks
>  (also known as enterprise networks). SIP is an Internet application-
>  layer control (signalling) protocol for creating, modifying, and
>  terminating sessions with one or more participants. These sessions
>  include, in particular, telephone calls. QSIG is a signalling
>  protocol for creating, modifying and terminating circuit-switched
>  calls, in particular telephone calls, within Private Integrated
>  Services Networks (PISNs). QSIG is specified in a number of ECMA
>  Standards and published also as ISO/IEC standards.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-qsig2sip-04.txt
> 
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> "get draft-ietf-sipping-qsig2sip-04.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> [email-masked].
> In the body type:
> "FILE /internet-drafts/draft-ietf-sipping-qsig2sip-04.txt".
> 
> NOTE:    The mail server at ietf.org can return the document in
> MIME-encoded form by using the "mpack" utility.  To use this
> feature, insert the command "ENCODING mime" before the "FILE"
> command.  To decode the response(s), you will need "munpack" or
> a MIME-compliant mail reader.  Different MIME-compliant mail readers
> exhibit different behavior, especially when dealing with
> "multipart" MIME messages (i.e. documents which have been split
> up into multiple messages), so check your local documentation on
> how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> Content-Type: text/plain
> Content-ID:    <[email-masked]>
> 
> ENCODING mime
> FILE /internet-drafts/draft-ietf-sipping-qsig2sip-04.txt
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP